  /// ///////// ///OBJETO NARRADOR ///////////////////////////////
  TIC.Narrador = (function(){
	  function Narrador(element, options){this.init(element, options);}
  
	  Narrador.prototype = {
		  init: function(element, options){
			  this.contador = 0;
			  this.element = element;
			  this.options = options;
  
			  var me = this;
			  $(".next", element).click(function () {
				  me.next();
			  });
			  $(".prev", element).click(function () {
				  me.prev();
			  });
			  
			  this.clickControlar2 = function(){
				$(".next_2").show();
				$(".next").hide();
			  $(".next_2").html("<input type='button' id='sin_fondo' value='Siguiente' display='none'  onclick='newDoc()'>");
			  
			  }
			  
			  this.clickControlar = function(){
	
			  $(".next").show();
			  $(".prev").show();
			  $(".relleno").hide();
			  
			  
			
			  
		   if($('input:radio[name=options]').is(':checked')){
			   
				  var idRespuesta = $('input:radio[name=options]:checked').val();
				
				  me.solve(idRespuesta);  
				   }else {  
			  me.showAlert();
			   }
			  
		  
						 }
						 
			  this.clickCerrar = function(){
				   			   
				$(".pop_up_container").hide();
				
				$(".overlay").hide();
						 }
			  this.clickController = function(){
						// alert("con");
						  $("#0").css({"background-image":"url(img/bot-si-hover.png)"})
						   $("#1").css({"background-image":"url(img/bot-no.png)"})
						 
								// me.solve(id); 
						 }
			this.clickController2 = function(){
										// alert("con2");

						$("#1").css({"background-image":"url(img/bot-no-hover.png)"})
						   $("#0").css({"background-image":"url(img/bot-si.png)"})
						 
								// me.solve(id); 
						 }			 
			  
			  this.clickBoton2 = function(){
				   var id_enlace = parseInt(this.id.substring(1));
				   
				    me.muestra_enlace(id_enlace);
					
				  //me.id_enlace = id_enlace;
				  }
			  
			  this.clickBoton = function(){   
								
								
								
								//clicks++;
								 var id_boton = parseInt(this.id.substring(4));
								 me.muestra(id_boton);
								 
								
			}					
																			 
  
  
  
			  
			  $(".indice").on('click',function(){
					 
				var indice= TIC.Indice[0].texto;
				
				$(".pop_up_container").show();
				$(".pop_up_container").html("<div class='pop_up'>"+indice+"<div class='cerrar'></div></div>");
				$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
				
				
				  })
				  
$(".progress").on('click',function(){
					 
				var stars= TIC.Stars[0];
				
				$(".pop_up_container").show();
				$(".pop_up_container").html("<div class='pop_up'><header><h1>En estos momentos tu puntuación es:</h1></header><strong></br></br></br>Has obtenido:&nbsp;</strong></br><div class='stars'>"+stars.secuencia1+stars.secuencia3+stars.secuencia4+stars.secuencia6+"</div><div class='cerrar'></div></br><div class='leyenda'><h1>Estrella obtenida</h1><span class='stars' style='color:#FC0 !important'>R</span></div></div>");
				
				$("#star_00").addClass("stars_si")
				$("#star_01").addClass("stars_si")
				$("#star_02").addClass("stars_si")
				$(".pop_up_container").on('click', '.cerrar', me.clickCerrar);
				
				
				  })
	  
				  this.showSlide();
			  },
								  
  ///Siguiente diapositiva
		  next: function(){
			   $(".reiniciar").hide();
			  this.contador++;
			  $(".prev").show();
			   $(".relleno").hide();
			  n_diapos = TIC.Diapositivas.length - 1;
			  if(this.contador == n_diapos){
				  $(".next").hide();
			  }
			  if(this.contador == 1){
				  $(".prev").hide();
				  $(".relleno").show();
				  }
				  
			  this.showSlide();
  
		  },
		  
  ///Diapositiva anterior
		  prev: function(){
			  $("#sin_fondo").hide();
			  $(".next2").hide();
			  this.contador--;
			  this.showSlide();
			  $(".next").show();
			   $(".reiniciar").hide();
			  if(this.contador == 1){
				  $(".prev").hide();
				   $(".relleno").show();}
			  this.showSlide();
  
		  },
		  

//// AQUI DEFINIMOS LAS PANTALLAS TIPO ////////////////				  
		  showSlide: function(){
			  
			  var diapo = TIC.Diapositivas[this.contador];
			  this.diapo = diapo;
			  var tipo = diapo.tipo;
		  
			  $(".pizarra").html("<img src='img/bg-sos.png' id='bg-sizer'/><section><header class='primero'></header><article class='" + tipo + "'><div class='col_izquierda'></div><div class='col_derecha'></div></article></section>");
			// alert(tipo);
			 
			  switch(tipo){
				  case "intro":
					  this.showIntro();
					  break;
				case "secuencia":
					  this.showSecuencia();
					  break;	  
										  
				  case "test":
					  this.showTest();
					  break;
				 case "true":
					  this.showTrue();
					  break;	  
				  case "diapo":
					  this.showDiapo();
					  break;
				  case "boton":
					  this.showBoton();
					  break;
				  case "lista":
					  this.showLista();
					  break;
				  case "edad":
					  this.showEdad();
					  break;
				 case "fin":
					  this.showFin();
					  break;	  
				 
			  }
		  },
////FIN PANTALLAS TIPO ////////////////



//Tipo intro
		  showSecuencia: function(){
			 var me = this; 
			$(".next").hide();
			$(".prev").hide();
			  $(".relleno").show();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[orden].secc;
			//var number = TIC.Secuencia[orden].number;
			$(".secuencia").html("<div class='string'><h4>"+secuencia+"</h4><div><img src='img/movil-08.png'><button class='next2'></button><p>Pulsa para continuar</p>");

			 $("#pizarra").on('click', '.next2', function(){
				 me.next();
				 
				 });
			  
			  },
//Tipo intro
		  showFin: function(){
			 var me = this; 
			
			//$(".next").hide();
			$(".prev").hide();
			  $(".relleno").show();
			var orden = TIC.Diapositivas[this.diapo.id].secuencia;  
			var secuencia = TIC.Secuencia[orden].secc;
			//var number = TIC.Secuencia[orden].number;
			$(".fin").html("<div class='string'><h4>Fin del objeto de aprendizaje</h4><div classs='centrado'><img src='img/movil-08.png'><p><span class='cursiva'>Sexting</span></p>");

			 $("#pizarra").on('click', '.next2', function(){
				 me.next();
				 
				 });
			  
			  },			  

//Tipo diapo
		  showDiapo: function(){
			  $(".next").hide();
			  $(".prev").hide();
			  $(".relleno").show();

			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_diapo;
			  var orden_secuencia = TIC.Diapositivas[this.diapo.id].secuencia;  
			  var contenido = TIC.Contenidos_narrador[orden];
			  //alert(orden)
			
			  
			  $(".next").show();
			   $(".prev").show();
			  $(".relleno").hide();
			 
			 $(".diapo").html("<div id='scrollable'><div class='bubble'>"+contenido.texto+"</div></div>")
 var scroller = new FTScroller(document.getElementById('scrollable'), {
			scrollingX: false
			
		});	
						  
		  },

		  

		  
/// Tipo ventana emergente ////
			  
			   showAlert: function(){
				  
				
				  $(".pop_up_container").fadeIn();
				  
				  $(".pop_up_container").html("<div class='pop_up'><span style='text-align:center;margin-left:22%;color:#db9b5f;font-size:2em;font-family:&quot;ag-book&quot'>Selecciona una opción</span><div class='cerrar'></div></div>")
				  $(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
				  
				  }, 
		  
		  
		  		  
		  		  
  
//Tipo lista
		  showLista: function(){
			  var orden = TIC.Diapositivas[this.diapo.id].id
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;
			  var puntos = TIC.Lista[orden].lista;
			  var intro = TIC.Lista[orden].intro;
			  
			  			 
			  var cadenaHtml = "";
			  for(j=0; j<puntos.length; j++){
				  cadenaHtml += "<li class='indice-link' id='ind"+ j + "'>" + puntos[j] + "</li>"					
			  }
			  
			  $(".col_izquierda").html(cadenaHtml)
			  
			  //cadenaHtml = "<ul class='lista_"+orden+"'>" + cadenaHtml + "</ul>";
			  $(".lista").append("<span class='number'>&nbsp;&nbsp;"+number+"</span><div class='secuencia'>"+secuencia+"</div><div class='contenido' id='contenido_"+orden+"'><div class='titular'>"+intro+"</div>"+cadenaHtml+"</div>");
			  },
			  
	
	
	
	
// funcion para mostrar Botones
  muestra: function(id_boton){
	 
		  
		 
		  var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
		  var plus = TIC.Boton[orden];
		  var encabezado = TIC.Boton[orden];
		  var img_plus = TIC.Boton[orden];
		 
		 
		 
		  $(".encabezado").html(encabezado.texto[id_boton]);
		  $(".plus").html(plus.plus[id_boton]+"<img src='img/"+plus.img_plus[id_boton]+".png' width='100%'; />");
		 $("#btn_"+id_boton+" a").css({"background":"#db9b5f"});
		 
		  if(plus.img_plus[id_boton] == ""){
			  
			  $(".plus").html(plus.plus[id_boton]);
			  }
		
				 
		//  $(".prev").show();
		//  $(".relleno").hide();
		 // $(".next").show();
		
		
				 
	  },	 
//Tipo Botón	
		  showBoton: function(){
			   
			  $(".next").show();
			  contador2=0;
			  var orden_secc = TIC.Diapositivas[this.diapo.id].n_secc;
			  var number = TIC.Secuencia[0].number;
			  var secuencia = TIC.Secuencia[0].secc;	
			  var orden = TIC.Diapositivas[this.diapo.id].n_orden_boton;
			  var orden_enlace = TIC.Diapositivas[this.diapo.id].n_orden_enlace;	
			  var botones = TIC.Boton[orden].texto;
			  var intro = TIC.Boton[orden].intro;
			  var imagen = TIC.Boton[orden].imagen;
			  var mensaje = TIC.Boton[orden].mensaje;
			  var cadenaHtml = "";
			//  var mas_info = TIC.Pop[orden_enlace].texto;
		//	  var orden_mas = TIC.Pop[orden_enlace].orden;
 $(".primero").append("<h1>"+secuencia+"</h1>");


			//  $(".next").hide();
			//  $(".prev").hide();
			 // $(".relleno").show();	

			

///////////////////PINTA LOS BOTONES ////////////////////////////			  
			  for(i=0; i<botones.length; i++){
				  cadenaHtml += "<li class='boton-link' id='btn_"+ i + "'><a>" + botones[i] + "</a></li>"
				  $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton); 
			  }
///////////////////FIN PINTA LOS BOTONES ////////////////////////////			  
			  
			  cadenaHtml ="<ul class='menu_vert_x4'>"+cadenaHtml+"</ul>"			
			 // $(".primero").append("<h1><span>"+number+"</span>"+secuencia+"</h1>");
			  $(".col_izquierda").removeClass("frases");
			  $(".col_izquierda").addClass("menu temario");
			  
			
			  $(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml);
			  
			  if(imagen == "none"){
				   $(".col_izquierda").html("<h3>"+intro+"</h3>"+cadenaHtml+mensaje);
				    $("#pizarra").on('click', 'li#btn_'+i, this.clickBoton);
				  }
			  
			  $(".col_derecha").html("<h5 class='encabezado'></h5><div id='scrollable'><p class='plus'><img src='img/"+imagen+".png'/>"+mensaje+"</figure></p></div>");
			 var scroller = new FTScroller(document.getElementById('scrollable'), {
			scrollingX: false
	});	
		
		
		
		if (this.contador ==2){
			$(".temario h3").css({"margin-bottom":"5%","position":"relative","width":"200%"});
	

			  		}		  
				  
				 
			  
			  
		$("#pizarra").on('click', 'a.enlace', this.clickBoton2);		   
			
		  },
		  
		  
 muestra_enlace: function(id_enlace){
	
	 var mas_info = TIC.Pop[id_enlace].texto; 
	
	 $(".pop_up_container").show();
	 $(".pop_up_container").html("<div class='pop_up'>"+mas_info+"<div class='cerrar'></div></div>");
	 $(".pop_up_container").on('click', '.cerrar', this.clickCerrar);
	 
	 },		  
		  
		  
		  
		  

  }	
	  
	  return Narrador;
  }());
  
  
  function newDoc() {
    window.location.assign("OAM03_09.html")
}